TopologicalNode (cloudsim 3.1-SNAPSHOT API)

org.cloudbus.cloudsim.network

## Class TopologicalNode

- java.lang.Object
- - org.cloudbus.cloudsim.network.TopologicalNode

-     public class TopologicalNode
      extends Object

  Just represents an topological network node retrieves its information from an topological-generated file (eg. topology-generator)
  Since:
    CloudSim Toolkit 1.0
  Author:
    Thomas Hohnstein

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TopologicalNode(int nodeID)` constructs an new node
    `TopologicalNode(int nodeID, int x, int y)` constructs an new node including world-coordinates
    `TopologicalNode(int nodeID, String nodeName, int x, int y)` constructs an new node including world-coordinates and the nodeName

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCoordinateX()` returns the x coordinate of this network-node
    `int` | `getCoordinateY()` returns the y coordinate of this network-node
    `int` | `getNodeID()` delivers the nodes id
    `String` | `getNodeLabel()` delivers the name of the node

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TopologicalNode

          public TopologicalNode(int nodeID)

      constructs an new node

    - #### TopologicalNode

          public TopologicalNode(int nodeID,
                         int x,
                         int y)

      constructs an new node including world-coordinates

    - #### TopologicalNode

          public TopologicalNode(int nodeID,
                         String nodeName,
                         int x,
                         int y)

      constructs an new node including world-coordinates and the nodeName

  - ### Method Detail

    - #### getNodeID

          public int getNodeID()

      delivers the nodes id
      Returns:
        just the nodeID

    - #### getNodeLabel

          public String getNodeLabel()

      delivers the name of the node
      Returns:
        name of the node

    - #### getCoordinateX

          public int getCoordinateX()

      returns the x coordinate of this network-node
      Returns:
        the x coordinate

    - #### getCoordinateY

          public int getCoordinateY()

      returns the y coordinate of this network-node
      Returns:
        the y coordinate

Copyright © 2013 The Cloud Computing and Distributed Systems (CLOUDS) Laboratory, The University of Melbourne. All Rights Reserved.